Subject: Re: Mutt.exe (1.2.5i-4) links to a missing export in cygwin1.dll.
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 30 Sep 2001 16:29:30 -0400

On Sun, Sep 30, 2001 at 09:42:36PM +0200, Alessandro Doro wrote:
>The latest version of Mutt fails to load.
>It requires the following export from cygwin1.dll:
>
>	1C  __progname
>
>that it (and I) cannot find in the cygwin version 1.3.3.
>
>Here is an extract from the cygwin export table
>(official cygwin-1.3.3-1, cygwin-1.3.3-2, the 20010918 snapshot):

>$ objdump -p /bin/cygwin1.dll
>..
>   export table in .edata at 0x610e9000
>..
>
>[lots of good details snipped]
>
>Has anyone tried Mutt 1.2.5i-4? Or am I missing something?
>(... sorry, I'm not subscribed - too heavy traffic).

Thanks for the detailed analysis.  It looks like Gary built mutt with
a snapshot version of cygwin.

Since Corinna is on vacation, Gary, if you point me to some updated 1.2.5i-5
tar balls, I'll upload them ASAP.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/